package turgen.tapeimageextractor;


class HintsCrate {

    public int skipHead;
    public int skipTail;
    public int lengthOffsetLow;
    public int lengthOffsetHigh;
    public int lengthType;
    public boolean extractData;
    
    public static final int LENGTH_TYPE_NONE=0;
    public static final int LENGTH_TYPE_8BIT=1;
    public static final int LENGTH_TYPE_16BIT=2;

    
    
    static final class Map {
        
        boolean skipHead;
        boolean skipTail;
        boolean lengthOffsetLow;
        boolean lengthOffsetHigh;
        boolean lengthType;
        boolean extractData;
        
        Map(boolean b) {
            skipHead=b;
            skipTail=b;
            lengthOffsetLow=b;
            lengthOffsetHigh=b;
            lengthType=b;
            extractData=b;
        }
    }
    
    
    public HintsCrate(int skipHead,int skipTail,int lengthOffsetLow,int lengthOffsetHigh,int lengthType,boolean extractData) {
        this.skipHead=skipHead;
        this.skipTail=skipTail;
        this.lengthOffsetLow=lengthOffsetLow;
        this.lengthOffsetHigh=lengthOffsetHigh;
        this.lengthType=lengthType;
        this.extractData=extractData;
    }

    HintsCrate() {
        skipHead=0;
        skipTail=0;
        lengthOffsetLow=0;
        lengthOffsetHigh=0;
        lengthType=LENGTH_TYPE_NONE;
        extractData=false;
    }
    
    HintsCrate getCopy() {
        HintsCrate c = new HintsCrate(skipHead,skipTail,lengthOffsetLow,lengthOffsetHigh,lengthType,extractData);
        return c;
    }
   
    
}
